org.apache.lucene.analysis.morfologik

## Class MorfologikAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.morfologik.MorfologikAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class MorfologikAnalyzer
    extends Analyzer

`Analyzer` using Morfologik library.

See Also:
  Morfologik project page

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Constructor Summary

Constructors
Constructor and Description
`MorfologikAnalyzer(Version vers)` Builds an analyzer for an original MORFOLOGIK dictionary.
`MorfologikAnalyzer(Version vers, morfologik.stemming.PolishStemmer.DICTIONARY dict)` Builds an analyzer for a given PolishStemmer.DICTIONARY enum.

### Method Summary

Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String field, Reader reader)` Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MorfologikAnalyzer

    public MorfologikAnalyzer(Version vers,
                      morfologik.stemming.PolishStemmer.DICTIONARY dict)

Builds an analyzer for a given PolishStemmer.DICTIONARY enum.

Parameters:
  `vers` - lucene compatibility version
  `dict` - A constant specifying which dictionary to choose. See the Morfologik documentation for details or use the default.

#### MorfologikAnalyzer

    public MorfologikAnalyzer(Version vers)

Builds an analyzer for an original MORFOLOGIK dictionary.

Parameters:
  `vers` - lucene compatibility version

### Method Detail

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String field,
                                                  Reader reader)

Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.

Specified by:
  `createComponents` in class `Analyzer`
Parameters:
  `field` - ignored field name
  `reader` - source of tokens
Returns:
  A `Analyzer.TokenStreamComponents` built from an `StandardTokenizer` filtered with `StandardFilter` and `MorfologikFilter`.